Bug 80584 - pcmcia ide-cs "Resource temporarily unavailable"
pcmcia ide-cs "Resource temporarily unavailable"
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks: 79579 88585 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-12-28 06:56 EST by Andrew Parker
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:45:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Parker 2002-12-28 06:56:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
My PCMCIA CDROM drive does not work on my Sony Vaio PCG-Z600TEK using Phoebe.  I
n /var/log/messages I get 

cardmgr[2759]: get dev info on socket 0 failed: Resource temporarily unavailable

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1.  Install Phoebe
2.  Insert PCMCIA CDROM drive
3.
    

Actual Results:  I get a high beep, followed by a low beep, and the following in
/var/log/messages

Dec 27 21:42:56 vaio cardmgr[2759]: socket 0: Ninja ATA
Dec 27 21:42:57 vaio cardmgr[2759]: executing: 'modprobe ide-cs'
Dec 27 21:42:57 vaio kernel: ide-cs: GetNextTuple: No more items
Dec 27 21:42:58 vaio cardmgr[2759]: get dev info on socket 0 failed: Resource
temporarily unavailable


Expected Results:  kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive

Additional info:

# cardctl status

Socket 0:
  5V 16-bit PC Card
  function 0: [ready], [wp]

# cardctl ident

Socket 0:
  product info: " ", "NinjaATA-", "V1.0", "AP00 "

# lsmod

Module                  Size  Used by    Not tainted
ide-cs                  5028   0  (unused)
sd_mod                 13744   0  (autoclean)
ymfpci                 45516   0  (autoclean)
ac97_codec             13608   0  (autoclean) [ymfpci]
uart401                 8388   0  (autoclean) [ymfpci]
sound                  74324   0  (autoclean) [uart401]
soundcore               6436   4  (autoclean) [ymfpci sound]
parport_pc             19076   1  (autoclean)
lp                      8996   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 13268   0  (autoclean) (unused)
nfs                    85820   1  (autoclean)
lockd                  58704   1  (autoclean) [nfs]
sunrpc                 81404   1  (autoclean) [nfs lockd]
ds                      8680   1  [ide-cs]
yenta_socket           13440   1 
pcmcia_core            57216   0  [ide-cs ds yenta_socket]
e100                   60612   1 
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14968   1  [iptable_filter]
microcode               4668   0  (autoclean)
ohci1394               20168   0  (unused)
ieee1394               47020   0  [ohci1394]
usb-storage            69204   0 
scsi_mod              107128   2  [sd_mod usb-storage]
loop                   12152   0  (autoclean)
lvm-mod                62208   0 
keybdev                 2976   0  (unused)
mousedev                5492   1 
hid                    22148   0  (unused)
input                   5888   0  [keybdev mousedev hid]
usb-uhci               26412   0  (unused)
usbcore                78432   1  [usb-storage hid usb-uhci]
ext3                   84960   1 
jbd                    52020   1  [ext3]

I have STFW.  The only references that made sense to me (I have limited Linux
PCMCIA experience) discuss replacing the old ide_cs with ide-cs in
/etc/pcmcia/config.  In my version of this file, they all already say ide-cs.

Under 8.0, the same hardware works, and I get the following in /var/log/messages

Dec 28 06:52:04 vaio cardmgr[763]: socket 0: Ninja ATA
Dec 28 06:52:04 vaio kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Dec 28 06:52:04 vaio cardmgr[763]: executing: 'modprobe ide-cs'
Dec 28 06:52:10 vaio kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
Dec 28 06:52:10 vaio kernel: ide2 at 0x180-0x187,0x386 on irq 3
Dec 28 06:52:10 vaio kernel: ide-floppy driver 0.99.newide
Dec 28 06:52:10 vaio kernel: ide_cs: hde: Vcc = 5.0, Vpp = 0.0
Dec 28 06:52:10 vaio cardmgr[763]: executing: './ide start hde'
Dec 28 06:52:13 vaio kernel: hde: bad special flag: 0x03
Dec 28 06:52:14 vaio modprobe: modprobe: Can't locate module block-major-2
Dec 28 06:52:14 vaio last message repeated 3 times
Dec 28 06:52:23 vaio kernel: ide-floppy driver 0.99.newide
Dec 28 06:52:27 vaio kernel: hde: ATAPI 16X CD-ROM drive, 128kB Cache
Dec 28 06:52:27 vaio kernel: Uniform CD-ROM driver Revision: 3.12

Still under 8.0, lsmod yields

Module                  Size  Used by    Not tainted
nls_iso8859-1           3516   0  (autoclean)
ide-cd                 33608   0  (autoclean)
cdrom                  33696   0  (autoclean) [ide-cd]
ide-cs                  4836   1 
ymfpci                 45420   0  (autoclean)
ac97_codec             13384   0  (autoclean) [ymfpci]
uart401                 8420   0  (autoclean) [ymfpci]
sound                  74388   0  (autoclean) [uart401]
soundcore               6532   4  (autoclean) [ymfpci sound]
binfmt_misc             7524   1 
autofs                 13348   0  (autoclean) (unused)
ds                      8712   1  [ide-cs]
yenta_socket           12960   1 
pcmcia_core            54784   0  [ide-cs ds yenta_socket]
eepro100               22264   1 
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              14936   1  [iptable_filter]
microcode               4668   0  (autoclean)
ohci1394               20108   0  (unused)
ieee1394               46892   0  [ohci1394]
usb-storage            62000   0 
scsi_mod              107176   2  [usb-storage]
mousedev                5524   1 
keybdev                 2976   0  (unused)
hid                    22244   0  (unused)
input                   5888   0  [mousedev keybdev hid]
usb-uhci               26188   0  (unused)
usbcore                77024   1  [usb-storage hid usb-uhci]
ext3                   70368   1 
jbd                    52212   1  [ext3]
Comment 1 Kevin Sonney 2003-08-20 23:08:32 EDT
I've verified this on Severn 2.4.21-20.1.2024.2.1.nptl with a PCG-SRX77 laptop
and a PCGA-CD51 cdrom I have on loan from a friend. 

Additionally, the PCGA-CD51 ide cdrom in question gives the same error on
different HW. In the case of the second box, it's a PCI PCMCIA controller on an
athlon system. This would seem to indicate to me that the issue is in ide-cs,
and not the laptop in question.

I've got the cdrom on loan until 8/21/2003.
Comment 2 Andrew Parker 2003-08-21 07:05:42 EDT
I've had a couple of emails from other people experiencing this problem.  The
most notable from Brian McGurk:

=======================>

Well I discovered I could make the process get further by commenting out
line 30 in /etc/pcmcia/config.opts:
  exclude port 0x380-0x3ff
I now get this when I insert the CDROM:
  Mar 13 10:44:26 move cardmgr[4868]: executing: 'modprobe ide-cs'
  Mar 13 10:44:29 move kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
  Mar 13 10:44:29 move kernel: ide2 at 0x180-0x187,0x386 on irq 3
  Mar 13 10:44:29 move kernel: ide-floppy driver 0.99.newide
  Mar 13 10:44:29 move kernel: ide_cs: hde: Vcc = 5.0, Vpp = 0.0
  Mar 13 10:44:29 move cardmgr[4868]: executing: './ide start hde'
However, if I try to mount it, or event eject the card the machine hangs. I think
it's progress but maybe I'm deluding myself. That ide-floppy should not be appearing
and the ide_cs should be ide-cs. I'll let you know if I find out anything more.

<=======================

The specific port that is causing the problem is 0x386.  Specifically including
that port and excluding the others in that line gives me the same results as Brian.

Back in the dim and distant past, when the CD ROM was not recognised by the
installer, I used to have to pass 'ide2=0x180,0x386' to the kernel.

I too get the problem with severn.
Comment 3 Dave Jones 2003-09-03 08:09:29 EDT
FWIW, I _still_ have to pass 'ide2=0x180,0x386' on the boot command line with my
Vaio with severn. I have the exact same model vaio as Andrew. Additionally I
have to pass pci=off.  Far from perfect, and a better workaround would be nice
to have, but it does seem to work for me at least.
What I haven't tried is plugging the cdrom after booting and trying to make that
work. I would suspect that's what the difference is here?
Comment 4 Dave Jones 2005-01-17 02:52:56 EST
is this any better with current releases ?
Sadly, my vaio got stolen, so I can't test this any more.
Comment 5 tk 2005-01-27 18:20:21 EST
unfortunately not!

when inserting cdrom (vaio z600 lek) on running FC3 (kernel
2.6.9-1.681_FC3) i get:

Jan 28 00:13:26 localhost cardmgr[1672]: socket 0: Ninja ATA
Jan 28 00:13:26 localhost kernel: ide-cs: GetNextTuple: No more items
Jan 28 00:13:26 localhost cardmgr[1672]: get dev info on socket 0
failed: No such device

last time it worked was under red hat 8 - would be nice if this could
finally get fixed!
Comment 6 Dave Jones 2005-02-13 01:02:40 EST
can you try editting /etc/pcmcia/config.opts

where it says..
# Radeon ICP MCE's if you touch ports 380 to 3ff
exclude port 0x380-0x3ff

change that last line to..
exclude port 0x3b0-0x3ff
Comment 7 Andrew Parker 2005-02-13 06:55:58 EST
This certainly has a positive effect.  It is now possible to mount the drive
(hurrah!), but there is no characteristic beeping. /var/log/messages gives the
following when inserting the card

Feb 13 06:34:45 vaio cardmgr[3065]: socket 0: Ninja ATA
Feb 13 06:34:45 vaio kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Feb 13 06:35:01 vaio kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
Feb 13 06:35:01 vaio kernel: hdf: no response (status = 0xa1), resetting drive
Feb 13 06:35:01 vaio kernel: hdf: no response (status = 0xa1)
Feb 13 06:35:01 vaio kernel: ide2 at 0x180-0x187,0x386 on irq 3
Feb 13 06:35:01 vaio kernel: hde: ATAPI 16X CD-ROM drive, 128kB Cache
Feb 13 06:35:01 vaio kernel: Uniform CD-ROM driver Revision: 3.20
Feb 13 06:35:03 vaio kernel: ide-cs: hde: Vcc = 5.0, Vpp = 0.0
Feb 13 06:35:03 vaio udev[4658]: creating device node '/udev/hde'
Feb 13 06:35:03 vaio cardmgr[3065]: executing: './ide start hde 2>&1'
Feb 13 06:35:03 vaio cardmgr[3065]: + ./ide: line 1: /sbin/ide_info: No such
file or directory
Feb 13 06:35:04 vaio kernel: Device not ready.  Make sure there is a disc in the
drive.
Feb 13 06:35:04 vaio kernel: Device not ready.  Make sure there is a disc in the
drive.
Feb 13 06:35:06 vaio kernel: inserting floppy driver for 2.6.5-1.358
Feb 13 06:35:06 vaio kernel: Floppy drive(s): fd0 is 1.44M
Feb 13 06:35:09 vaio kernel: floppy0: no floppy controllers found
Feb 13 06:35:09 vaio modprobe: FATAL: Error inserting floppy
(/lib/modules/2.6.5-1.358/kernel/drivers/block/floppy.ko): No such device

this is with a cd in the drive at the time.

when mounting the CD (which worked), i get

Feb 13 06:35:34 vaio kernel: udf: registering filesystem
Feb 13 06:35:39 vaio kernel: UDF-fs: No VRS found

I've searched my system (running Tettnang), and there is no ide file, or
ide_info file, apart from a japanese man page on ide_info.

i tried this a few times, and once it got really upset whilst shutting down
spewing outmessages way too fast to read, and I don't know at what point it did
this.  power off was the only choice.
Comment 8 Andrew Parker 2005-03-16 19:57:50 EST
FC4 test 1 also has problems.  I get no beeps at all when inserting/removing the
CDROM.  Here's what I get in /var/log/messages (note the times, there are a few
big gaps in there)

Mar 16 19:47:08 vaio kernel: hde: status timeout: status=0xff { Busy }
Mar 16 19:47:08 vaio kernel: ide: failed opcode was: unknown
Mar 16 19:47:08 vaio kernel: hde: drive not ready for command
Mar 16 19:47:38 vaio kernel: hde: ATAPI reset timed-out, status=0xff
Mar 16 19:48:13 vaio kernel: ide2: reset timed-out, status=0xff
Mar 16 19:48:13 vaio kernel: hde: status timeout: status=0xff { Busy }
Mar 16 19:48:13 vaio kernel: ide: failed opcode was: unknown
Mar 16 19:48:13 vaio kernel: hde: drive not ready for command
Mar 16 19:48:43 vaio kernel: hde: ATAPI reset timed-out, status=0xff
Mar 16 19:49:13 vaio kernel: ide2: reset timed-out, status=0xff
Mar 16 19:49:13 vaio cardmgr[1771]: executing: './ide stop hde 2>&1'
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde1 b 33 1
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde1': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde2 b 33 2
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde2': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde3 b 33 3
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde3': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde4 b 33 4
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde4': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde5 b 33 5
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde5': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde6 b 33 6
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde6': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde7 b 33 7
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde7': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde8 b 33 8
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde8': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde9 b 33 9
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde9': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde10 b 33 10
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde10': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde11 b 33 11
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde11': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde12 b 33 12
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde12': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde13 b 33 13
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde13': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde14 b 33 14
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde14': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde15 b 33 15
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde15': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod /dev/hde16 b 33 16
Mar 16 19:49:13 vaio cardmgr[1771]: + mknod: `/dev/hde16': File exists
Mar 16 19:49:13 vaio cardmgr[1771]: + ./ide: line 34: /sbin/ide_info: No such
file or directory
Mar 16 19:49:14 vaio cardmgr[1771]: socket 0: Ninja ATA
Mar 16 19:49:15 vaio kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
Mar 16 19:49:15 vaio kernel: ide2 at 0x180-0x187,0x386 on irq 3
Mar 16 19:49:15 vaio kernel: hde: ATAPI 16X CD-ROM drive, 128kB Cache
Mar 16 19:49:23 vaio kernel: ide-cs: hde: Vcc = 5.0, Vpp = 0.0
Mar 16 19:49:23 vaio cardmgr[1771]: executing: './ide start hde 2>&1'
Mar 16 19:49:23 vaio cardmgr[1771]: + ./ide: line 34: /sbin/ide_info: No such
file or directory
Mar 16 19:49:24 vaio fstab-sync[3217]: added mount point /media/cdrom for /dev/hde


Once the mount point (eventually) is created, mounting it doesn't work:
[root@vaio media]# mount cdrom
mount: block device /dev/hde is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/hde,
       missing codepage or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so
Comment 9 Pete Zaitcev 2005-05-13 13:34:35 EDT
So, what is in dmesg after the attempt to mount? "dmesg | tail -10"?
Comment 10 Andrew Parker 2005-05-14 08:15:04 EDT
dmesg doesn't change from the mount:

# dmesg | tail -10
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0x100-0x4ff: excluding 0x170-0x177 0x370-0x37f 0x398-0x39f
0x4d0-0x4d7
cs: IO port probe 0xa00-0xaff: clean.
Probing IDE interface ide2...
hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
ide2 at 0x180-0x187,0x386 on irq 3
hde: ATAPI 16X CD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision: 3.20
ide-cs: hde: Vcc = 5.0, Vpp = 0.0
Comment 11 Dan Williams 2005-06-17 21:31:15 EDT
Andrew: is this the CD drive that has the PCMCIA card that you can snap into the
bottom of the drive for carrying around, that came with 700Mhz or so VAIOs?

ex - http://cgi.ebay.com/ws/eBayISAPI.dll?ViewItem&category=80198&item=6778105198

If so we may have that drive here around the office to be able to test with.
Comment 12 Andrew Parker 2005-06-19 05:00:34 EDT
Yes, that's the one.  Don't know if there are multiple models of this, but the
one in the example you cite is the exact same model (PCGA-CD51)
Comment 13 Dan Williams 2005-06-20 12:28:02 EDT
Ok, we do have this one.  The drive appears to work correctly on FC4.  I will
test it on an FC3 machine tonight.  When the PCMCIA card is inserted, it's
recognized, cardmgr runs ide start hde 2>&1, which attempts to mknod /dev/hde b
33 0, and fstab-sync correctly mounts the drive at /media/cdrom1.  CD in the
drive gets automounted and shows up on the desktop.  (tested with 2.6.11-1.1315_FC4)

FC3 may be different.  What FC3 kernel versions are people using?
Comment 14 Dan Williams 2005-06-20 21:06:53 EDT
Linux localhost.localdomain 2.6.11-1.27_FC3 #1 Tue May 17 20:27:37 EDT 2005 i686
i686 i386 GNU/Linux

/var/log/messages contains the following after inserting the PCMCIA card
attached to the drive:

Jun 20 20:58:22 localhost cardmgr[2580]: socket 0: Ninja ATA
Jun 20 20:58:23 localhost cardmgr[2580]: get dev info on socket 0 failed: No
such device
Jun 20 20:58:23 localhost kernel: 0.0: GetNextTuple: No more items

Now trying the modification to /etc/pcmcia/config.opts...
Comment 15 Dan Williams 2005-06-20 21:30:03 EDT
For FC3, this is the output when plugging in the card _after_ doing the Radeon
config.opts fix:

Jun 20 21:07:28 localhost kernel: cs: IO port probe 0xa00-0xaff: clean.
Jun 20 21:07:49 localhost cardmgr[5653]: socket 0: Ninja ATA
Jun 20 21:07:50 localhost kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI
CD/DVD-ROM drive
Jun 20 21:07:50 localhost kernel: ide2 at 0x180-0x187,0x386 on irq 3
Jun 20 21:07:50 localhost kernel: hde: ATAPI 16X CD-ROM drive, 128kB Cache
Jun 20 21:07:50 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Jun 20 21:07:56 localhost kernel: ide-cs: hde: Vcc = 5.0, Vpp = 0.0
Jun 20 21:07:57 localhost cardmgr[5653]: executing: './ide start hde 2>&1'
Jun 20 21:07:57 localhost cardmgr[5653]: + ./ide: line 34: /sbin/ide_info: No
such file or directory
Jun 20 21:07:57 localhost fstab-sync[5730]: added mount point /media/cdrom for
/dev/hde

The CD in the drive mounts, and the CD Player application opens.
Comment 16 Dan Williams 2005-06-20 21:34:25 EDT
Ejecting the card doesn't really work though.  PCMCIA services hang, as does
'cardctl eject' (after ejection).  Evidently cardmgr isn't getting the eject event.

Jun 20 21:07:57 localhost cardmgr[5653]: + ./ide: line 34: /sbin/ide_info: No
such file or directory
Jun 20 21:07:57 localhost fstab-sync[5730]: added mount point /media/cdrom for
/dev/hde
Jun 20 21:09:46 localhost kernel: hde: status timeout: status=0xff { Busy }
Jun 20 21:09:46 localhost kernel: ide: failed opcode was: unknown
Jun 20 21:09:46 localhost kernel: hde: drive not ready for command
Jun 20 21:10:16 localhost kernel: hde: ATAPI reset timed-out, status=0xff
Jun 20 21:10:51 localhost kernel: ide2: reset timed-out, status=0xff
Jun 20 21:10:51 localhost kernel: hde: status timeout: status=0xff { Busy }
Jun 20 21:10:51 localhost kernel: ide: failed opcode was: unknown
Jun 20 21:10:51 localhost kernel: hde: drive not ready for command
Comment 17 Andrew Parker 2005-06-21 04:04:45 EDT
I had not upgraded my kernel, so it was the original FC3 kernel -
kernel-2.6.11-1.1369_FC4.i686.rpm

I've, briefly, tried this on FC4, and I can mount/umount ok.  I do not get the
characteristic insert/eject beeps (but this is my only PCMCIA device, so I'm not
sure if I'm supposed to?).  Also don't know the significance of the
/sbin/ide_info error
 
Jun 21 03:54:56 vaio kernel: cs: memory probe 0xa0000000-0xa0ffffff: clean.
Jun 21 03:54:56 vaio cardmgr[1447]: socket 0: Ninja ATA
Jun 21 03:54:57 vaio kernel: hde: TOSHIBA CD-ROM XM-7002Bc, ATAPI CD/DVD-ROM drive
Jun 21 03:54:58 vaio kernel: ide2 at 0x180-0x187,0x386 on irq 3
Jun 21 03:54:58 vaio kernel: hde: ATAPI 16X CD-ROM drive, 128kB Cache
Jun 21 03:54:58 vaio kernel: Uniform CD-ROM driver Revision: 3.20
Jun 21 03:55:06 vaio kernel: ide-cs: hde: Vcc = 5.0, Vpp = 0.0
Jun 21 03:55:06 vaio cardmgr[1447]: executing: './ide start hde 2>&1'
Jun 21 03:55:06 vaio cardmgr[1447]: + ./ide: line 34: /sbin/ide_info: No such
file or directory
Jun 21 03:55:08 vaio sshd(pam_unix)[2587]: session opened for user root by
root(uid=0)
Jun 21 03:55:11 vaio fstab-sync[2636]: added mount point /media/cdrom for /dev/hde

under fc4, cardctrl eject is eratic.  the first time i tried it never returned:

Jun 21 03:49:27 vaio kernel: Unregister 2 fail 1 0
Jun 21 03:49:32 vaio kernel: hde: status timeout: status=0xff { Busy }
Jun 21 03:49:32 vaio kernel: ide: failed opcode was: unknown
Jun 21 03:49:32 vaio kernel: hde: drive not ready for command
Jun 21 03:49:32 vaio kernel: Unregister 2 fail 2 0
Jun 21 03:50:01 vaio last message repeated 29 times
Jun 21 03:50:02 vaio kernel: hde: ATAPI reset timed-out, status=0xff
Jun 21 03:50:02 vaio kernel: Unregister 2 fail 2 0
Jun 21 03:50:16 vaio last message repeated 14 times
Jun 21 03:50:17 vaio sshd(pam_unix)[4209]: session opened for user root by
root(uid=0)
Jun 21 03:50:17 vaio kernel: Unregister 2 fail 2 0
Jun 21 03:50:31 vaio last message repeated 14 times
Jun 21 03:50:37 vaio kernel: ide2: reset timed-out, status=0xff
Jun 21 03:50:37 vaio kernel: hde: status timeout: status=0xff { Busy }
Jun 21 03:50:37 vaio kernel: ide: failed opcode was: unknown
Jun 21 03:50:37 vaio kernel: hde: drive not ready for command
Jun 21 03:50:37 vaio kernel: Unregister 2 fail 2 0
Jun 21 03:51:06 vaio last message repeated 29 times

after a reboot though, i was quite happy to eject (subject to ide_info):

Jun 21 04:01:07 vaio fstab-sync[3101]: removed mount point /media/cdrom for /dev/hde
Jun 21 04:01:07 vaio cardmgr[1447]: executing: './ide stop hde 2>&1'
Jun 21 04:01:07 vaio cardmgr[1447]: + ./ide: line 34: /sbin/ide_info: No such
file or directory
Jun 21 04:01:08 vaio cardmgr[1447]: + can't find sockets' device
number/proc/net/unix: Permission denied
Comment 18 Matthew Miller 2006-07-10 17:46:08 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 19 John Thacker 2006-10-29 15:45:29 EST
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.